<?php

namespace ScopedGtbabel\gtbabel\core;

class DomFactory
{
    function __construct(\ScopedGtbabel\gtbabel\core\Utils $utils = null, \ScopedGtbabel\gtbabel\core\Data $data = null, \ScopedGtbabel\gtbabel\core\Host $host = null, \ScopedGtbabel\gtbabel\core\Settings $settings = null, \ScopedGtbabel\gtbabel\core\Tags $tags = null, \ScopedGtbabel\gtbabel\core\Log $log = null)
    {
        $this->utils = $utils ?: new \ScopedGtbabel\gtbabel\core\Utils();
        $this->data = $data ?: new \ScopedGtbabel\gtbabel\core\Data();
        $this->host = $host ?: new \ScopedGtbabel\gtbabel\core\Host();
        $this->settings = $settings ?: new \ScopedGtbabel\gtbabel\core\Settings();
        $this->tags = $tags ?: new \ScopedGtbabel\gtbabel\core\Tags();
        $this->log = $log ?: new \ScopedGtbabel\gtbabel\core\Log();
    }
    function modifyContentFactory($content, $type)
    {
        $dom = new \ScopedGtbabel\gtbabel\core\Dom($this->utils, $this->data, $this->host, $this->settings, $this->tags, $this->log, $this);
        $content = $dom->modifyContent($content, $type);
        return $content;
    }
}
